#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import getpass

from sid.sid import MUCBot
from sid.ping import Ping
from sid.feeds import Feeds

JID = 'bot@example.org'
NICK = 'sid'
PASS = getpass.getpass('Password for "{}": '.format(JID))
ROOM = 'room@conf.example.org'

def main():
    Feeds.TEMPO = 60
    xmpp = MUCBot(JID, PASS, ROOM, NICK)
    xmpp.register_bot_plugin(Feeds)
    xmpp.register_bot_plugin(Ping)
    try:
        xmpp.connect()
        xmpp.process()
    except KeyboardInterrupt:
        xmpp.shutdown_plugins()
    xmpp.log.info('Done')

# Script starts here
if __name__ == '__main__':
    main()

# VIM MODLINE
# vim: ai ts=4 sw=4 sts=4 expandtab
